# Generated by go2rpm 1
%bcond_without check

# https://github.com/google/go-replayers
%global goipath         github.com/google/go-replayers
Version:                1.2.0
%global tag             httpreplay/v1.2.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
This package contains two tools for testing network clients by recording real
interactions with servers, then playing back the server responses later. These
record/replay proxies let you run an "integration" test that accesses a backend
and record the interaction. Subsequent runs of the test can replay the server's
responses without actually contacting the server, turning the integration test
into a fast and inexpensive unit test.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md examples

Name:           %{goname}
Release:        10%{?dist}
Summary:        Go Tools for Recording and Replaying RPCs

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/any)
BuildRequires:  golang(github.com/google/martian)
BuildRequires:  golang(github.com/google/martian/v3/fifo)
BuildRequires:  golang(github.com/google/martian/v3/httpspec)
BuildRequires:  golang(github.com/google/martian/v3/martianhttp)
BuildRequires:  golang(github.com/google/martian/v3/martianlog)
BuildRequires:  golang(github.com/google/martian/v3/mitm)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/api/transport/http)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/status)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(google.golang.org/grpc/codes)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/google/martian|github.com/google/martian/v3|' $(find -iname "*.go" -type f)

%install
%gopkginstall

%if %{with check}
%check
# httpreplay: fails due to martian incompatibility, even with 3.2.1 (latest)
# version of github.com/google/martian.
%gocheck \
	-d httpreplay \
	-d httpreplay/cmd/httpr \
	-d httpreplay/internal/proxy
%endif

%gopkgfiles

%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 30 2023 W. Michael Petullo <mike@flyn.org> - 1.2.0-1
- Update to 1.2.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0.1.2-6
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 22 06:52:06 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.2-1
- Update to 0.1.2

* Mon Aug 10 21:09:38 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.1-2
- Update martian import path

* Mon Jul 27 13:24:37 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.1-1
- Update to 0.1.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 20 22:09:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- Initial package
